Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.algorithms.grouping
Class LocationGrouper

    java.lang.Object
      infomat.algorithms.grouping.GroupingAlgorithm
          infomat.algorithms.grouping.LocationGrouper

All Implemented Interfaces:
  HasProperties, UniqueIdentifiable

    public class LocationGrouper

extends GroupingAlgorithm

Groups IObjects depeneding on their location-string.

Field Summary
`private static int` | `locationGroupingNumber`

Fields inherited from class infomat.algorithms.grouping.GroupingAlgorithm
`identifier, printGroupSizesInIterations, properties`

Constructor Summary
`LocationGrouper()`
`LocationGrouper(Properties properties)`

Method Summary
`IObjectGrouping` | `cluster(IObjectGroup iogroup)` Clusters the IObjectGroup.
`IObjectGrouping` | `cluster(IObjectSet ioset)` Clusters the entire IObjectSet.
`java.lang.String` | `getAlgorithmName()`
`Properties` | `getDefaultProperties()`
`java.lang.String` | `getInfoString()`
`Properties` | `getProperties()`
`java.lang.Object` | `getPropertyValue(java.lang.String name)`
`java.util.Vector` | `getPropertyVector()`
`UniqueIdentifier` | `getUniqueIdentifier()`
`void` | `setProperties(Properties properties)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`void` | `setUniqueIdentifier(UniqueIdentifier uniqueIdentifier)`

Methods inherited from class infomat.algorithms.grouping.GroupingAlgorithm
`printGroup, printGroupSizes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### locationGroupingNumber

    private static int locationGroupingNumber

Constructor Detail

### LocationGrouper

    public LocationGrouper()

### LocationGrouper

    public LocationGrouper(Properties properties)

Method Detail

### getDefaultProperties

    public Properties getDefaultProperties()

### cluster

    public IObjectGrouping cluster(IObjectGroup iogroup)

  Description copied from class: `GroupingAlgorithm`
  Clusters the IObjectGroup. Does not store the result.

  Specified by:
    `cluster` in class `GroupingAlgorithm`

### cluster

    public IObjectGrouping cluster(IObjectSet ioset)

  Description copied from class: `GroupingAlgorithm`
  Clusters the entire IObjectSet. Stores the clustering in the IObjectSet.

  Specified by:
    `cluster` in class `GroupingAlgorithm`

### getInfoString

    public java.lang.String getInfoString()

  Specified by:
    `getInfoString` in class `GroupingAlgorithm`

### getAlgorithmName

    public java.lang.String getAlgorithmName()

  Specified by:
    `getAlgorithmName` in class `GroupingAlgorithm`

### getPropertyVector

    public java.util.Vector getPropertyVector()

  Specified by:
    `getPropertyVector` in class `GroupingAlgorithm`

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.String name)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws PropertyNotFoundException

  Throws:
    `PropertyNotFoundException`

### getProperties

    public Properties getProperties()

### setProperties

    public void setProperties(Properties properties)

### getUniqueIdentifier

    public UniqueIdentifier getUniqueIdentifier()

### setUniqueIdentifier

    public void setUniqueIdentifier(UniqueIdentifier uniqueIdentifier)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD